APIReferenceSubscriptions
Emails you when an issue is opened with one of the labels, or when one of the labels is added to an issue. With no labels, every new issue matches.
Emails you when an issue is opened with one of the labels, or when one of the labels is added to an issue. With no labels, every new issue matches.
apiKeyAuthorizationBearer <token>Personal API key (osg_…)
application/jsonrepo*stringowner/name or a GitHub URL
labels?array<>items <= 20events?array<>1 <= items[ "issue.opened", "issue.labeled"]labelMatch?string"any""any""all"channels?array<>Defaults to your primary email, instant
1 <= itemsDefault Response
application/jsonid*stringrepo*events*array<>labels*array<string>labelMatch*string"any""all"status*string"active""paused"channels*array<>createdAt*stringdate-timecurl -X POST 'https://example.com/api/v1/me/subscriptions' \ -H 'Content-Type: application/json' \ -d '{ "repo": "string"}'{ "id": "string", "repo": { "fullName": "string", "url": "string" }, "events": [ "issue.opened" ], "labels": [ "string" ], "labelMatch": "any", "status": "active", "channels": [ { "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160", "frequency": "instant" } ], "createdAt": "2019-08-24T14:15:22Z"}